com.trendmicro.ds.platform.rest.api

## Interface INewsFeedAPI

-     @Produces(value="application/json")
       @Consumes(value="application/json")
       @Path(value="/newsfeed")
      public interface INewsFeedAPI

  Management API for News Feed.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deleteEntry(java.lang.String sID, long entryID)` Dismisses a news entry
    `DescribeNewsFeedResponse` | `describeNewsFeed(java.lang.String sID, java.lang.Boolean background)` Get the meta data about the news feed
    `ListNewsEntriesResponse` | `listEntries(java.lang.String sID, boolean all, java.lang.Long entryID, java.lang.String entryIDOp, java.lang.Integer maxItems)` List the entries from the news feed.

- - ### Method Detail

    - #### listEntries

          @GET
           @Path(value="/entries")
          ListNewsEntriesResponse listEntries(@CookieParam(value="sID")
                                                                            java.lang.String sID,
                                                                            @QueryParam(value="all")
                                                                            boolean all,
                                                                            @QueryParam(value="entryID")
                                                                            java.lang.Long entryID,
                                                                            @QueryParam(value="entryIDOp")
                                                                            java.lang.String entryIDOp,
                                                                            @QueryParam(value="maxItems")
                                                                            java.lang.Integer maxItems)
                                                                     throws java.lang.Exception

      List the entries from the news feed.
      Parameters:
        `sID` - a session ID returned by the Authentication API
        `all` - true to get all news entries, false to get only non-dismissed entries.
        `entryID` - (optional) used to define the starting point for the query. Combine with `entryIDOp` to page through results.
        `entryIDOp` - (optional), required if `entryID` is specified) Currently supported operations are:
        - gt (greater than)
        - ge (greater than or equal to)
        - eq (equal to)
        - lt (less than)
        - le (less than or equal to)
        `maxItems` - (optional) the number of items to retrieve. The maximum value for this parameter is controlled by the "Maximum number of items to retrieve from database" setting on the administrator account, which defaults to 5000.
      Returns:
        a ListNewsEntriesResponse containing the list of News Entries
      Throws:
        `java.lang.Exception`

    - #### deleteEntry

          @DELETE
           @Path(value="/entries/{entryID}")
          void deleteEntry(@CookieParam(value="sID")
                                                                      java.lang.String sID,
                                                                      @PathParam(value="entryID")
                                                                      long entryID)
                                                               throws java.lang.Exception

      Dismisses a news entry
      Parameters:
        `sID` - a session ID returned by the Authentication API
        `entryID` - the ID of the New Entry to be dismissed
      Throws:
        `java.lang.Exception`

    - #### describeNewsFeed

          @GET
           @Path(value="/")
          DescribeNewsFeedResponse describeNewsFeed(@CookieParam(value="sID")
                                                                           java.lang.String sID,
                                                                           @QueryParam(value="background")
                                                                           java.lang.Boolean background)
                                                                    throws java.lang.Exception

      Get the meta data about the news feed
      Parameters:
        `sID` - A session ID returned by the Authentication API
        `background` - (optional) If true, does not extends the session. Default false.
      Returns:
        a DescribeNewsFeedResponse containing metadata from the news feed
      Throws:
        `java.lang.Exception`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.